API Reference

Inventory Counts

8 endpoints· Auth: JWT or API Key
get/api/v1/console/inventory/counts JWT API Key

Get counts

Query parameters

From
string (date)
—
To
string (date)
—
Shift
OperatingShift
—
Book
StockBook
—
Status
string
—
Page
integer (int32)
—
PerPage
integer (int32)
—
Search
string
—
Skip
integer (int32)
—
Sort
string
—
Dir
string
—

Responses

200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/inventory/counts" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com

Query parameters

Set credentials in the “Authorize” menu
post/api/v1/console/inventory/counts JWT API Key

Create counts

Request body

application/json
{
  "shift": "Morning",
  "location": "Warehouse",
  "lines": [
    {
      "inventoryItemId": "00000000-0000-0000-0000-000000000000",
      "countedQty": 0,
      "reason": "string"
    }
  ],
  "note": "string",
  "clientOpId": "string",
  "capturedAt": "2026-09-30T18:07:54.330Z",
  "deviceId": "string"
}
shift
OperatingShift
—
location
StockBook
—
lines
SubmitCountLineRequest[]
—
note
string
—
clientOpId
string
—
capturedAt
string (date-time)
—
deviceId
string
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/inventory/counts" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "shift": "Morning",
  "location": "Warehouse",
  "lines": [
    {
      "inventoryItemId": "00000000-0000-0000-0000-000000000000",
      "countedQty": 0,
      "reason": "string"
    }
  ],
  "note": "string",
  "clientOpId": "string",
  "capturedAt": "2026-09-30T18:07:54.330Z",
  "deviceId": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Request body (JSON)

Set credentials in the “Authorize” menu
post/api/v1/console/inventory/counts/{countId}/lines/{lineId}/approve JWT API Key

Create approve

Path parameters

countIdrequired
string (uuid)
—
lineIdrequired
string (uuid)
—

Request body

application/json
{
  "note": "string"
}
note
string
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/inventory/counts/{countId}/lines/{lineId}/approve" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "note": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Request body (JSON)

Set credentials in the “Authorize” menu
post/api/v1/console/inventory/counts/{countId}/lines/{lineId}/evidence JWT API Key

Create evidence

Path parameters

countIdrequired
string (uuid)
—
lineIdrequired
string (uuid)
—

Request body

application/json
{
  "image": "string"
}
image
string
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/inventory/counts/{countId}/lines/{lineId}/evidence" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "image": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Request body (JSON)

Set credentials in the “Authorize” menu
get/api/v1/console/inventory/counts/{id} JWT API Key

Get id

Path parameters

idrequired
string (uuid)
—

Query parameters

Sort
string
—
Dir
string
—

Responses

200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/inventory/counts/{id}" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Query parameters

Set credentials in the “Authorize” menu
post/api/v1/console/inventory/counts/{id}/approve JWT API Key

Create approve

Path parameters

idrequired
string (uuid)
—

Request body

application/json
{
  "note": "string"
}
note
string
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/inventory/counts/{id}/approve" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "note": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Request body (JSON)

Set credentials in the “Authorize” menu
get/api/v1/console/inventory/counts/evidence/{evidenceId} JWT API Key

Get evidenceId

Path parameters

evidenceIdrequired
string (uuid)
—

Responses

200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/inventory/counts/evidence/{evidenceId}" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Set credentials in the “Authorize” menu
get/api/v1/console/inventory/counts/sheet JWT API Key

Get sheet

Query parameters

Book
StockBook
—
Sort
string
—
Dir
string
—

Responses

200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/inventory/counts/sheet" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com

Query parameters

Set credentials in the “Authorize” menu